## mutter 40.5

=== debian/changelog ===
mutter (40.5-1ubuntu3~21.10.1) impish; urgency=medium

  * Backport to impish
  * debian: Update vcs references for impish branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 19:57:15 +0100

mutter (40.5-1ubuntu3) jammy; urgency=medium

  [ Yuan-Chen Cheng ]
  * d/p/mutter-wayland-seat-race-fix.patch:
    - Fix Xwayland crash Xwayland crash in gdm as screen off and touchscreen
      detach (cherry picked commits — LP: #1948894)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 19:37:09 +0100

mutter (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * d/p/clutter-frame-clock-Remember-the-refresh-interval.patch,
  * d/p/clutter-frame-clock-Apply-error-diff-to-dispatch-times.patch:
    - Fix rendering smoothness on the Nvidia proprietary driver
      (cherry picked commits — LP: #1946204)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 07 Oct 2021 15:30:02 +0200

mutter (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian, remaining changes:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:26:36 +0200

mutter (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Fix monitor screencast scanouts
    - Fix middle-click emulation support on X11

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 21:11:07 +0200

mutter (40.4-2) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-capture-4-dev instead of sysprof

  [ Simon McVittie ]
  * Upload to unstable, part of transition #992870

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:34:10 +0100

mutter (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't require a newly attached buffer to apply state
    - Fix upside-down Xshape surface with EGLstream
    - Handle failure to allocate offscreen
    - Improve window state checks
    - Fix area-based screencast recording for unredirected windows such
      as fullscreen games
    - Fix ability to map a graphics tablet to a monitor
    - Fix a crash if scanout fails unexpectedly
    - Fix a logic error in determining number of input device modes
    - Translation updates
  * Don't let debhelper 13.4+ make all of /usr/libexec executable.
    This is not what we want for installed-tests' associated data.
  * Add a lintian override for dh-exec-subst-unknown-variable

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Aug 2021 10:14:04 +0100

mutter (40.2.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:40:19 +0200

mutter (40.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Jun 2021 01:36:22 +0200

mutter (40.2-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 23:08:29 +0200

mutter (40.2-1) experimental; urgency=medium

  * New upstream release:
    - Fix mouse position in remote desktop with fractional scaling
    - Fix fd leak
    - Disable KMS modifiers on radeon driver
    - Fix adding virtual monitor to physical session
    - Unbreak press-drag-release to pop up and select right click menus
    - Fix VKMS detection
  * debian/patches: Refresh, dropping applied upstream
  * d/p: Mark view-verification tests as incomplete in big-endian archs.
    Saved pixmaps are invalid in big-endian architectures, so let's disable
    the tests for now, checking only the basic metadata but not comparing
    the contents.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jun 2021 22:07:25 +0200

mutter (40.1-1ubuntu1) impish; urgency=medium

  * Merge with debian, containing new upstream version:
    - Wayland input thread support (LP: #1690719)
  * debian/patches: Refresh as per upstream changes
  * Remaining changes with debian:
    - debian/gbp.conf: update upstream branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Jun 2021 21:07:08 +0200

mutter (40.1-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Only snap to window edges when CTRL is pressed (LP: #1727225)
    - Fix viewport of offscreen effects (LP: #1825126)
  * debian: Update library name to follow soname (mutter-8)
  * debian/control: Bump dependencies to match upstream requirements
  * debian/patches:
    - Refresh
    - Do not run screencast tests.
      They require to have a full running pipewire (that requires a system
      dbus daemon) so, we can't easily get one up and running while building.
  * debian/libmutter-8-0.symbols: Sync with new library symbols
  * debian/control: Do not break on old gnome-shell versions
  * debian: Enable sysprof profiler on linux
  * debian/libmutter-8-0.symbols: Add new cogl trace symbols
  * debian/rules: Enforce symbols checking via higher gen symbols check level


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               adwaita-icon-theme <!nocheck>,
               dbus <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-control-center-data,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 40~alpha),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libdrm-dev (>= 2.4.83) [linux-any],
               libegl-dev,
               libegl1-mesa-dev (>= 17),
               libfribidi-dev (>= 1.0.0),
               libgbm-dev (>= 17.3) [linux-any],
               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libgl1-mesa-dev (>= 7.1~rc3-1~),
               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
               libglib2.0-dev (>= 2.67.3),
               libgnome-desktop-3-dev (>= 3.36.0),
               libgraphene-1.0-dev (>= 1.10.2),
               libgtk-3-dev (>= 3.19.8),
               libgudev-1.0-dev (>= 232) [linux-any],
               libice-dev,
               libinput-dev (>= 1.15.0) [linux-any],
               libjson-glib-dev (>= 0.13.2-1~),
               libnvidia-egl-wayland-dev [linux-any],
               libpam0g-dev,
               libpango1.0-dev (>= 1.46.0),
               libpipewire-0.3-dev (>= 0.3.21) [linux-any],
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
               libsystemd-dev (>= 212) [linux-any],
               libwacom-dev (>= 0.13) [linux-any],
               libwayland-dev (>= 1.18.0) [linux-any],
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev (>= 2:1.7.4),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.51),
               pkg-config (>= 0.22),
               udev [linux-any],
               wayland-protocols (>= 1.19) [linux-any],
               xauth <!nocheck>,
               xkb-data,
               xserver-xorg-core [linux-any],
               xvfb <!nocheck>,
               xwayland [linux-any],
               zenity
Rules-Requires-Root: no
Standards-Version: 4.5.1
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/impish
Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/impish

Package: mutter
Architecture: any
Depends: adwaita-icon-theme,
         gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: mutter-8-tests
Architecture: any
Depends: at-spi2-core,
         dbus,
         dmz-cursor-theme,
         libmutter-8-0 (= ${binary:Version}),
         mutter (= ${binary:Version}),
         xauth,
         xvfb,
         xwayland [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tests for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: gir1.2-mutter-8
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libmutter-8-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-8-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: apparmor (<< 2.13.3-5~),
        gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.91)
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-8-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-mutter-8 (= ${binary:Version}),
         gsettings-desktop-schemas-dev (>= 40~alpha),
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
         libglib2.0-dev,
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.7),
         libjson-glib-dev,
         libmutter-8-0 (= ${binary:Version}),
         libpango1.0-dev,
         libwayland-dev [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Following upstream method to compute the API version
MUTTER_MINOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MINOR_VERSION) - 32 )) )
MUTTER_SONAME = 0

export MUTTER_API_VERSION
export MUTTER_SONAME

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Degl_device=true \
	-Dremote_desktop=true \
	-Dwayland_eglstream=true
else
CONFFLAGS = \
	-Dudev=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dcore_tests=false \
	-Dnative_backend=false \
	-Dnative_tests=false \
	-Dprofiler=false \
	-Dremote_desktop=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
else
CONFFLAGS += \
	-Ddefault_driver=gl
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

# Ignore test failures on hurd and kfreebsd. Although the test results
# indicate there may be a serious issue, the port maintainers may
# prefer we do the build anyway. I plan to file a bug for this later.
# Don't run the tests on mips, riscv64 and other ports since they either
# time out or fail too much, blocking migration to testing or ports
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	glib-compile-schemas $(BUILDDIR)/data
ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY)
endif
endif

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmutter-$(MUTTER_API_VERSION)-$(MUTTER_SONAME) \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

## mutter 42.0

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('libgnome_desktop',
  type: 'boolean',
  value: true,
  description: 'Build with or without gnome-desktop'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('udev_dir',
  type: 'string',
  value: '',
  description: 'Absolute path of the udev base directory'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('docs',
  type: 'boolean',
  value: false,
  description: 'Enable gi-docgen documentation'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('native_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter native backend tests'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('kvm_tests',
  type: 'boolean',
  value: false,
  description: 'Enable running certain tests in a virtual machine with a custom built kernel'
)

option('kvm_kernel_image',
  type: 'string',
  value: '',
  description: 'Path to a Linux kernel image to be used for KVM testing'
)

option('tty_tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests that must be run on a TTY (KMS tests without KVM)'
)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications resources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

=== debian/changelog ===
mutter (42.0-3ubuntu2) jammy; urgency=medium

  * Revert "debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering"
    This reverts commit 4a568376f00111e52badcb69857c3fc57ae7d394.
  * debian/patches: Fix triple buffering patch to avoid possible regressions.
    Ensure that fix for lp:1966178 doesn't lead to regressions as in:
      https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1441#note_1429212

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 15:16:57 +0200

mutter (42.0-3ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick various upstream commits for 42.1:
    + onscreen/native: Fall back if COPY_MODE_SECONDARY_GPU fails to init
      (LP: #1964037, #1959888)
  * debian/patches: Allow any drag timestamp as drag start serial (LP: #1964541)
  * debian/patches: Move x11-fractional scaling under ubuntu namespace
  * debian/patches: Account ClutterStage grabs on Wayland key focus sync
    (LP: #1964442)
  * debian/libmutter-10-0.symbols: Update including new internal symbols
  * debian/patches: Avoid memory errors when comparing gamma values
  * debian/patches: Fix privacy-screen and connectors updates with
    triple-buffering (LP: #1966178)
  * debian/patches: Ensure privacy screen settings are applied on startup
    (LP: #1966178)

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
    - ubuntu/wayland-data-device-Allow-any-drag-timestamp-as-drag-star.patch:
      + handle DnD for old (snapped) gtk apps that used wrong wayland serials

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Apr 2022 03:30:39 +0200

mutter (42.0-3) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 09:34:27 -0400

mutter (42.0-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add triple-buffering patch
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch
  * Drop glibc-tools from Build-Depends: no longer used
  * Update triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream fixes targeting 42.1
  * debian/patches: Ensure repick happens on actors visibility changed
    (LP: #1964545)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 28 Mar 2022 16:05:22 +0200

mutter (42.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Mar 2022 09:28:30 -0400

mutter (42~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Add Breaks: gnome-shell (<< 42~rc)
  * debian/control.in: Bump minimum meson, libwayland-dev & wayland-protocols
  * debian/libmutter-10-0.symbols: Add new symbols
  * Refresh patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 13:11:43 -0500

mutter (42~beta-1ubuntu2) jammy; urgency=medium

  * debian/patches: Skip monitor-size tests that may fail on autopkgtest

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Mar 2022 02:27:21 +0100

mutter (42~beta-1ubuntu1) jammy; urgency=medium

  * Merge with debian after being accepted (no content change)
  * xrandr-scaling: Do not change type of experimental settings schema.
    There's no real benefit to do this change as it's only for power-users
    and it will break updaters (and g-c-c integration).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 03:22:10 +0100

mutter (42~beta-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Implement a new Clutter grab API
    - Support KMS testing via QEMU
    - Add support for privacy screen
    - Allow changing monitor configuration policy
    - Fix possible missed clicks on menus
    - Place popups on the same monitor as the anchor rect (LP: #1930567)
    - Announce DMA-BUF support via pipewire
    - Raise the file descriptor limit of the wayland compositor
    - Fix resetting idle time on lid open
    - Reset idletime when unplugging the power cable
    - Keep a single cursor sprite visible with tablets
    - Sync keyboard LEDs after layout changes (LP: #1830637)
    - Honor window input area in picking
    - Handle mixture of keycombo/no action in pad rings/strips
    - Fix videos in Firefox stuttering in overview
    - Fix X11 middle button emulation setting
    - Fix crash on empty frame info queue (LP: #1960585)
    - Fix window size after returning from fullscreen (LP: #1947467)
    - Don't change workspaces of unmanaged windows (LP: #1933996)
    - Ensure constraints after client resize (LP: #1917939)
  * debian/watch: Accept pre-release version
    Can still use gbp import --upstream-version=XX.Y to get stable only
  * debian: Rename packages to use mutter-10 API
  * debian/rules: Compute mutter API version on unstable releases too
  * debian/control: Update dependencies
  * debian/patches: Refresh and update to latest code
  * debian/libmutter-(test-)10.symbols: Update
  * d/p/11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refresh as per upstream changes

  [ Jeremy Bicha ]
  * Update autopkgtest & lintian override for new version

  [ Daniel van Vugt ]


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-gir,
@@ -23,6 +23,7 @@
                gobject-introspection (>= 1.41.3),
                gsettings-desktop-schemas-dev (>= 40~alpha),
                gtk-doc-tools (>= 1.15),
+               libc-bin <!nocheck>,
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
@@ -32,26 +33,26 @@
                libgbm-dev (>= 17.3) [linux-any],
                libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev (>= 0.9.12),
-               libgl1-mesa-dev (>= 7.1~rc3-1~),
-               libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
-               libglib2.0-dev (>= 2.67.3),
+               libgl-dev,
+               libgles-dev,
+               libglib2.0-dev (>= 2.69.0),
                libgnome-desktop-3-dev (>= 3.36.0),
                libgraphene-1.0-dev (>= 1.10.2),
                libgtk-3-dev (>= 3.19.8),
                libgudev-1.0-dev (>= 232) [linux-any],
                libice-dev,
-               libinput-dev (>= 1.15.0) [linux-any],
+               libinput-dev (>= 1.19.0) [linux-any],
                libjson-glib-dev (>= 0.13.2-1~),
                libnvidia-egl-wayland-dev [linux-any],
                libpam0g-dev,
                libpango1.0-dev (>= 1.46.0),
-               libpipewire-0.3-dev (>= 0.3.21) [linux-any],
+               libpipewire-0.3-dev (>= 0.3.33) [linux-any],
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libsystemd-dev (>= 212) [linux-any],
                libwacom-dev (>= 0.13) [linux-any],
-               libwayland-dev (>= 1.18.0) [linux-any],
+               libwayland-dev (>= 1.20.0) [linux-any],
                libxau-dev,
                libx11-dev,
                libx11-xcb-dev,
@@ -61,7 +62,7 @@
                libxcursor-dev,
                libxdamage-dev,
                libxext-dev,
-               libxfixes-dev,
+               libxfixes-dev (>= 6.0),
                libxi-dev (>= 2:1.7.4),
                libxinerama-dev,
                libxkbcommon-dev (>= 0.4.3),
@@ -70,22 +71,25 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               meson (>= 0.51),
+               meson (>= 0.55.0),
                pkg-config (>= 0.22),
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               sysprof (>= 3.40.1) [linux-any],
                udev [linux-any],
-               wayland-protocols (>= 1.19) [linux-any],
+               wayland-protocols (>= 1.25) [linux-any],
                xauth <!nocheck>,
+               xcvt [linux-any],
                xkb-data,
-               xserver-xorg-core [linux-any],
                xvfb <!nocheck>,
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/impish
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/impish
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: any
@@ -112,13 +116,17 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-8-tests
+Package: mutter-10-tests
 Architecture: any
 Depends: at-spi2-core,
          dbus,
          dmz-cursor-theme,
-         libmutter-8-0 (= ${binary:Version}),
+         libmutter-10-0 (= ${binary:Version}),
+         libmutter-test-10 (= ${binary:Version}),
          mutter (= ${binary:Version}),
+         python3,
+         python3-dbus,
+         python3-dbusmock,
          xauth,
          xvfb,
          xwayland [linux-any],
@@ -137,11 +145,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-8
+Package: gir1.2-mutter-10
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: libmutter-8-0 (= ${binary:Version}),
+Depends: libmutter-10-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -158,7 +166,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-8-0
+Package: libmutter-10-0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -170,7 +178,8 @@
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.91)
+        gnome-settings-daemon (<< 3.31.101),
+        gnome-shell (<< 42~rc),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -184,11 +193,11 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-8-dev
+Package: libmutter-10-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-mutter-8 (= ${binary:Version}),
+Depends: gir1.2-mutter-10 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
@@ -196,20 +205,20 @@
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-         libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
-         libglib2.0-dev,
+         libgles-dev,
+         libglib2.0-dev (>= 2.69.0),
          libgraphene-1.0-dev (>= 1.9.3),
          libgtk-3-dev,
-         libinput-dev (>= 1.7),
+         libinput-dev (>= 1.19),
          libjson-glib-dev,
-         libmutter-8-0 (= ${binary:Version}),
+         libmutter-10-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev [linux-any],
          libx11-dev,
          libxcomposite-dev,
          libxdamage-dev,
          libxext-dev,
-         libxfixes-dev,
+         libxfixes-dev (>= 6.0),
          libxi-dev,
          libxrandr-dev,
          ${misc:Depends}
@@ -224,6 +233,23 @@
  of Clutter, a scene graph and user interface toolkit.
  .
  This package contains the development files.
+
+Package: libmutter-test-10
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: libmutter-10-0 (= ${binary:Version}),
+         mutter (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: Test helper library for GNOME's window manager library
+ Mutter is a Wayland display server and X11 window manager and
+ compositor library. It contains functionality related to, among other
+ things, window management, window compositing, focus tracking, workspace
+ management, keybindings and monitor configuration.
+ .
+ This package contains a private library used by the automated tests for
+ mutter and gnome-shell. It should not be used by non-GNOME packages.
 
 Package: mutter-common
 Section: misc

## mutter 42.4

=== debian/changelog ===
mutter (1:42.4-2revyos3) unstable; urgency=medium

  * use default_driver=gles2 for riscv64

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 23 May 2023 20:11:17 +0800

mutter (1:42.4-2revyos2) unstable; urgency=medium

  * add mutter-partial-discard-fix.patch

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 07 May 2023 15:29:24 +0800

mutter (1:42.4-2revyos1) unstable; urgency=medium

  * Rebuild for gles

 -- Han Gao <gaohan@iscas.ac.cn>  Thu, 06 Apr 2023 20:07:24 +0800

mutter (42.4-2) unstable; urgency=medium

  * Team upload
  * d/control.in, d/gbp.conf: Set up branches for an unstable upload
  * d/p/tests-Give-mutter-test-runner-the-RUNPATH-to-find-Clutter.patch:
    Add patch to fix missing RUNPATH in tests, fixing an autopkgtest
    regression in 42.4.
    - Note that this does not resolve a different autopkgtest regression
      in 42.4, in environments where /dev/dri/card0 exists but is
      inaccessible. However, the /dev/dri/card0 issue is not fatal for
      Debian's production infrastructure, which uses autopkgtest-virt-lxc
      and therefore does not provide /dev/dri/card0 at all.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Aug 2022 17:54:28 +0100

mutter (42.4-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Refresh
  * debian/libmutter-10-0.symbols: Sync with new and removed internal symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Aug 2022 19:21:12 -0400

mutter (42.3-2) unstable; urgency=medium

  * debian/libmutter-10-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 16 Jul 2022 14:14:30 +0200

mutter (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 16:33:25 +0200

mutter (42.2-1) unstable; urgency=medium

  * New upstream release (LP: #1976381)
    - Fix crash when restarting GNOME Shell on Xorg (LP: #1969893)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 31 May 2022 10:10:28 -0400

mutter (42.1-1) unstable; urgency=medium

  * New upstream release
    (LP: #1972726, #1967274, #1965557, #1969574, #1948410, #1967219, #1971693)
  * Drop patches applied in new release
  * debian/libmutter-10-0.symbols: Add new symbol
  * debian/libmutter-10-0.symbols: Drop a symbol that was only in experimental
  * Add Breaks against old gtk3 & gtk4 versions.
    See Ubuntu bug 1972721
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 May 2022 16:51:12 -0400

mutter (42.0-5) experimental; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-74-g6c8e8fbba
    - Bug fixes targeted for 42.1
    - d/p/clutter-stage-Repick-when-pointer-actor-goes-unmapped.patch:
      Replace with the version that was applied upstream
    - d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
      Mark as applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Apr 2022 10:04:42 +0100

mutter (42.0-4) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream commit 42.0-55-gbe9deeba0
    - Update translations
    - Update upstream status of cherry-picked patches
    - Add various bug fixes including LP: #1959888, LP: #1964037
  * d/p/core-Account-ClutterStage-grabs-on-Wayland-key-focus-sync.patch:
    Add patch proposed upstream to fix grabs vs. system-modal prompts.
    This is particularly annoying when using pkexec, or when using gcr as
    a passphrase prompt for PGP, ssh and/or sudo.
    (Closes: #1008998, LP: #1964442)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Apr 2022 11:54:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 # Following upstream method to compute the API version
-MUTTER_MINOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d. -f1)
-MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MINOR_VERSION) - 32 )) )
+MUTTER_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')
+MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MAJOR_VERSION) - 32 )) )
 MUTTER_SONAME = 0
 
 export MUTTER_API_VERSION
@@ -26,6 +26,7 @@
 	-Dwayland_eglstream=true
 else
 CONFFLAGS = \
+	-Dsystemd=false \
 	-Dudev=false \
 	-Dlibwacom=false \
 	-Dwayland=false \
@@ -36,12 +37,9 @@
 	-Dremote_desktop=false
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf riscv64))
 CONFFLAGS += \
 	-Ddefault_driver=gles2
-else
-CONFFLAGS += \
-	-Ddefault_driver=gl
 endif
 
 override_dh_auto_configure:
@@ -51,7 +49,10 @@
 # Use meson test directly as it allows us to use the timeout multiplier
 BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 TEST_COMMAND_BASE=env \
+	GIO_USE_VFS=local \
+	GIO_USE_VOLUME_MONITOR=unix \
 	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
+	GVFS_DISABLE_FUSE=1 \
 	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
 	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
 	           --no-stdsplit --print-errorlogs
@@ -68,10 +69,10 @@
 	glib-compile-schemas $(BUILDDIR)/data
 ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY)
+	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY)
+	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif
 endif

## mutter 42.9

=== debian/changelog ===
mutter (42.9-0ubuntu9) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add backend-native-Don-t-warn-on-EACCES-if-headless.patch.
    To avoid test failures in environments that have a GPU but also
    insufficient permission to open it. (LP: #2068119)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix screen recording crash with scaling and a custom cursor
    (LP: #2077746)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Aug 2024 12:45:48 -0400

mutter (42.9-0ubuntu8) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Add fullscreen-maximize to tests-Tag-unstable-tests-as-flaky.patch
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch to
    fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh git indexes
  * debian/patches: Add fix to handle crash on destruction of invalid popups
    (LP: #2065066)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 May 2024 16:40:12 +0200

mutter (42.9-0ubuntu7) jammy; urgency=medium

  * Add build-Set-built-headers-as-libmutter_dep-sources.patch to prevent
    occasional build failures depending on parallelism (LP: #2055530)
  * Add cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch to
    fix test failures in mutter:cogl+cogl/conform / framebuffer-get-bits
    when Mesa >= 23.1.1 (LP: #2055519)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 01 Mar 2024 17:47:40 +0800

mutter (42.9-0ubuntu6) jammy; urgency=medium

  [ Kai-Heng Feng ]
  * Fix mirror mode on reduced blanking panel. (LP: #2051074)

  [ Daniel van Vugt ]
  * Add compositor-x11-Sync-again-at-the-end-of-before_paint.patch
    to fix incomplete redraws in X11 virtual machines (LP: #2054510)
  * debian/control.in: Stop automatically reverting to the old uploaders.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 22 Feb 2024 15:25:36 +0800

mutter (42.9-0ubuntu5) jammy; urgency=medium

  [ Daniel van Vugt ]
  * Drop clutter-frame-clock-Avoid-rapidly-toggling-dynamic-max-re.patch.
    It was never really required in mutter 42 but has caused some new stutter
    elsewhere (LP: #2030959)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 11 Sep 2023 15:39:50 +0200

mutter (42.9-0ubuntu4) jammy; urgency=medium

  * Add Revert-data-udev-Don-t-disable-KMS-modifiers-on-newer-i91.patch
    to fix rendering failures on older kernels (5.15) when run on newer
    hardware (Intel Alder Lake). (LP: #2026887)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 13 Jul 2023 08:15:36 -0400

mutter (42.9-0ubuntu2) jammy; urgency=medium

  * Add clutter-frame-clock-Avoid-rapidly-toggling-dynamic-max-re.patch to
    avoid cursor stutter (LP: #2023766)
  * Add backends-x11-Return-zero-Hz-instead-of-nan-Hz-for-incompl.patch
    so that incomplete graphics mode definitions are reported as having a
    refresh rate of 0 Hz instead of -nan Hz. This also fixes the behaviour
    of the 'Revert Settings' button (LP: #2020782)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 12 Jul 2023 07:49:16 -0400

mutter (42.9-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1998286)
    - Fix high memory and lagginess when resizing side-by-side
      tiled windows (LP: #1985089)
  * Cherry-pick patch to fix dialog for enabling or disabling
    accessibility features with keyboard shortcuts
  * debian/libmutter-10-0.symbols: Add symbol from patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 15:25:14 -0400

mutter (42.5-0ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #1985856)
  * debian/patches: Refresh
  * debian/libmutter-10-0.symbols: Sync with new and removed internal symbols

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch.
    Dual-GPUs crash in gbm_surface_release_buffer (LP: #1969422)
    Leftover mouse pointer when moving between monitors (LP: #1988625)

  [ Zoe Spellman ]
  * New upstream release

 -- Zoe Spellman <zoe.spellman@canonical.com>  Thu, 13 Oct 2022 12:08:14 -0700

mutter (42.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1981724)
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Jul 2022 17:46:27 +0200

mutter (42.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976381)
     - Fix crash when restarting GNOME Shell on Xorg (LP: #1969893)
  * Refresh patches. Drop privacy screen settings patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Jun 2022 14:53:49 -0400

mutter (42.1-0ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    (LP: #1972726, #1948410, #1967219, #1971693)
  * Refresh triple buffering patch with latest version
  * Drop patches applied in new release
  * debian/libmutter-10-0.symbols: Add new symbol
  * Add Breaks against old gtk3 & gtk4 versions.
    See Ubuntu bug 1972721

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Adapt expected log messages to new domains

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 May 2022 12:10:07 -0400

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	-Dremote_desktop=false
 endif
 
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf riscv64))
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
 CONFFLAGS += \
 	-Ddefault_driver=gles2
 endif

=== debian/tests/control ===
Tests: libmutter-10-dev
Depends: build-essential,
         dbus,
         libmutter-10-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: gnome-desktop-testing-runner mutter-10
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-10-tests
Restrictions: allow-stderr
